package ucot.model.relation;
/**
 * Entity represents candidate for object or
 * actor (like user) in the analyze model.
 * @author panu
 *
 */
public class Entity extends Item{
    public static String TYPE_NAME = "entity";
    public Entity(String name){
    	//cant set the first letter of the name to uppercase, since the lenght might be less than 1 chars
    	super(name, TYPE_NAME);

    	//So we check it here
    	if (name.length() > 0)
    		//And set the name in uppercase
    		setName(name.substring(0,1).toUpperCase() + name.substring(1).toLowerCase());
    }
    
    public boolean equals(Object e){
        if (e instanceof Item){
            return ((Thing) e).getName().equals(getName())
            && ((Thing) e).getTypeName().equals(getTypeName());
        }
        return false;
    }
    
    
    public int hashCode() {
        return (typeName+name).hashCode();
    }
}
