package ucot.ui.gui.tree;

import java.util.List;
import java.util.Vector;

public class AttributeTreeItem extends TreeItem {

    private String attribute;
    private String object;
    
    public AttributeTreeItem(AnalyzeTreeModel model, TreeItem parent, String object, String attribute) {
        super(model, parent);
        this.attribute = attribute;
        this.object = object;
    }

    @Override
    public String getName() {
        return this.attribute;
    }

    public Object getData() {
        return this.getName();
    }
}

