package ucot.model.relation;

public enum RelationType {
	/**
	 * Something contains something other.
	 * Like entity contains method.
	 */
   CONTAINS,
   /**
    * Something is influenced by some method. 
    */
   INFLUENCE_BY_METHOD,
   /**
    * Something is inherited from something else.
    */
   INHERITS,
   /**
    * Someting is intance of something else.
    */
   INSTANCEOF,
   /**
    * Other type relation that is not yet spesified any further.
    */
   OTHER;    
}
