package ucot.model.relation;

import java.io.Serializable;

/**
 * Thing is the super class for all the "things" in
 * the AnalyzeModel.
 * @author pajumasu
 *
 */
public abstract class Thing implements Serializable{
    String name  = "";

    String typeName = "";

    public Thing(String name, String typeName) {
        this.name = name;
        this.typeName = typeName;
    }

    public String getName() {
        return name;
    }

    public String getTypeName() {
        return typeName;
    }
    
   /* public boolean equals(Object e){
        if (e instanceof Thing){
            return ((Thing) e).getName().equals(getName())
             && ((Thing) e).getTypeName().equals(getTypeName());
        }
        return false;
    }
    
   
    public int hashCode() {
        return (typeName+name).hashCode();
    }*/
    
    public String toString(){
        return "{"+this.typeName +" called '" + getName() +"' }";
    }

    protected void setName(String name) {
        this.name = name;
    }
}
