package ucot.ui;

import ucot.input.UseCase;

/**
 * Interface for panel wich shows usecase steps
 * @author ilanliuk
 *
 */
public interface UseCasePanelInterface {

    /**
     * Give usecase to show.
     * @param usecase
     */
    public void showUseCase(UseCase usecase);
    
    /**
     * Indicates the panel that we don't want to see anything
     *
     */
    public void Clear();
        
    
}
