package ucot.ui.gui.tree;

import java.util.List;
import java.util.Set;
import java.util.Vector;

import ucot.model.relation.Entity;
import ucot.model.relation.Item;
import ucot.model.relation.Thing;

public class EntitiesTreeItem extends TreeItem{
	
	public EntitiesTreeItem(AnalyzeTreeModel model, TreeItem parent) {
		super(model,parent);
		
	}
	
	public String getName(){
		return "Entities";
	}
	
	public String getData(){
		return getName();
	}

	public List getChildren() {
		List<EntityTreeItem> entities = new Vector<EntityTreeItem>();
		Set<String> objects = getAnalyzeModel().getEditor().getEntityNames();
		for(String object : objects){
			entities.add(new EntityTreeItem(model,this,object));			
		}
		return entities;
	}
	
}
