package ucot.ui.gui.tree.usecasetree;

import java.net.URL;
import java.util.List;
import java.util.Vector;

public class FilesTreeItem extends TreeItem {

    public FilesTreeItem(UseCaseTreeModel treemodel, TreeItem parent) {
        super(treemodel, parent);
    }

    @Override
    public String getName() {
        return "Files";
    }

    public String getData() {
        return getName();
    }
    
    public List getChildren() {
        List<FileTreeItem> children = new Vector<FileTreeItem>();
        List<URL> urls = treemodel.getUseCaseCollection().getURLs();
        for (URL url : urls) {
            children.add(new FileTreeItem(this.treemodel, this, url));
        }
        return children;
    }
    
}
